### org.jfree.layouting

# Class StateException

- `StackableException`
- - `org.jfree.layouting.StateException`

`public class StateException`
`extends StackableException`

Creation-Date: 27.05.2006, 15:48:52

Author:
  Thomas Morgner

  ## Constructor Summary

  `StateException()`
    Creates a StackableRuntimeException with no message and no parent.

  `StateException(String message)`
    Creates an exception.

  `StateException(String message, Exception ex)`
    Creates an exception.

## Constructor Details

### StateException

    public StateException()

> Creates a StackableRuntimeException with no message and no parent.

### StateException

    public StateException(String message)

> Creates an exception.
> Parameters:
>   `message` - the exception message.

### StateException

    public StateException(String message,
                          Exception ex)

> Creates an exception.
> Parameters:
>   `message` - the exception message.
>   `ex` - the parent exception.